### Method

# Hex Widget add_mark

since: 4.8

#### Declaration

    HexWidgetMark*
    hex_widget_add_mark (
      HexWidget* self,
      gint64 start,
      gint64 end,
      GdkRGBA* color
    )

#### Description

Add a mark for a `HexWidget` object at the specified absolute `start` and `end` offsets.

Although the mark obtains an index within the widget internally, this index numeral is private and is not retrievable. As a result, it is recommended that applications wishing to manipulate marks retain the pointer returned by this function, and implement their own tracking mechanism for the marks.

Available since: 4.8

#### Parameters

`start`

  Type: `gint64`

  The start offset of the mark.

`end`

  Type: `gint64`

  The start offset of the mark.

`color`

  Type: `GdkRGBA`

  A custom color to set for the mark, or `NULL` to use the default.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `HexWidgetMark`

A pointer to a `HexWidgetMark` object, owned by the `HexWidget`.

The returned data is owned by the instance.